**********************************************************
* Introduzione all'analisi dei dati longitudinali
* CAP 3:	ANALISI DEGLI EVENTI  
**********************************************************
* questa sintassi: 
* eha_esempio_II
* ESEMPIO II: ingresso nel mercato del lavoro 
* VERSIONE: AGOSTO 2013
***********************************************************
*ssc install stpiece

*version 12.1 

global eha F:\longi
set more off
set dp comma


use $eha\data\carriereIT_spell.dta, clear 
sort id ts 
drop if cnordsud==99

* --> definizione variabili  
tab empstat
bys id: gen nextstat=empstat[_n+1]
lab val nextstat empstat
bys id: gen nr=_n
tab empstat nr

gen cnord=cnordsud==0 
* labour market entry coohorts 
bys id: egen e=min(ts) 
recode e (942/1080=1989 "<=1989") (1081/1176=1997 "1990-97") (1176/1200=1999 "1998-99") (1201/max=2005 "2000-05"), gen(ecoho)
tab ecoho, gen(ecoho)
gen female=genere==2
recode casmin (110 120 130=1 "bassa") (220 231 232=2 "media") (310 320=3 "alta"), gen(educ) 
tab educ, gen(e)

* --> analysis

** Entrare nel MdL: la "deregolamentazione nel 1997 ha accelerato l'ingresso? 
**	ovvero: esistono differenze nelle durate di entrare fra coorti?
stset tf , failure(nextstat=11, 12, 13) id(id) origin(time ts) // 
*browse
*sts list
set scheme s2mono
* KM  
sts graph , survival by(ecoho) tmax(62) xsize (5)   ///
 xtitle("mesi", size(medium) margin(0 0 0 2))              ///
	   ytitle("% ancora in cerca ", size(medium))         ///        
  subtitle(" entrata nel MdL UOMINI ", size(medium) )            /// 
	   xlabel(0(12)60, labsize(medium))                   ///
	   ylabel(0(0.1)1, angle(0) labsize(medium) format(%3.1f))	   ///
	   legend(pos(1) ring(0) row(2) order( 1 2 3 4) lab(1 "<=1989") lab(2 "1990-97") lab(3 "1998-1999") lab(4 "2000-05") 	 size(small)  )   , if(female==0), name(KM_m, replace)
sts graph , survival by(ecoho) tmax(62) xsize (5)   ///
 xtitle("mesi", size(medium) margin(0 0 0 2))              ///
	   ytitle("% ancora in cerca ", size(medium))         ///        
  subtitle(" entrata nel MdL DONNE ", size(medium) )            /// 
	   xlabel(0(12)60, labsize(medium))                   ///
	   ylabel(0(0.1)1, angle(0) labsize(medium) format(%3.1f))	   ///
	   legend(pos(1) ring(0) row(2) order(1 2 3 4) lab(1 "<=1989") lab(2 "1990-97") lab(3 "1998-1999") lab(4 "2000-05") 	 size(small)  )   , if(female==1), name(KM_w, replace)
graph combine KM_m KM_w	   

*** MODELLI PARAMETRICI ***
** esponenziale piecewise  INSTALLARE ado prima
stpiece ecoho2 ecoho3 ecoho4 cnord female e2 e3  , tp(0(3)36) nolog 
est store pe_m2
stpiece ecoho2 ecoho3 ecoho4 cnord female e2 e3  , tp(0(3)24) nolog
est store pe_m1
lrtest pe_m1 pe_m2, force

streg ecoho2 ecoho3 ecoho4 cnord female e2 e3 , dist(wei) nolog
streg ecoho2 ecoho3 ecoho4 cnord female e2 e3 , dist(lnorm) nolog // attenzione alla metrica 

* rispetto alla versione piu' flessibile la stima dei parametri per le variabili non cambia
* anche se il LRT informa sul migliore fit della versione estesa 
stpiece  ecoho2 ecoho3 ecoho4 cnord female e2 e3  , tp(0(3)24) nolog 
stpiece  ecoho2 ecoho3 ecoho4 cnord female e2 e3  , tp(0(3)24) nolog time tr
gen IAc4fem=ecoho4*female
stpiece  ecoho2 ecoho3 ecoho4 cnord female e2 e3 IAc4fem  , tp(0(3)24) nolog 

stpiece  ecoho2 ecoho3 ecoho4 cnord female e2 e3  , tp(0(3)24)  tv(ecoho4) nolog 	
