**********************************************************
* Introduzione all'analisi dei dati longitudinali
* CAP 3:	ANALISI DEGLI EVENTI  
**********************************************************
* questa sintassi: 
* eha_esempio_III
* ESEMPIO III: instabilita' di carriera  
* VERSIONE: AGOSTO 2013
***********************************************************
*version 12.1 
*ssc install stpiece
global eha F:\longi
set more off
set dp comma

use $eha\data\carriereIT_spell.dta, clear 
sort id ts 
drop if cnordsud==99

*** -- > definizione variabili 
bys id: gen nextstat=empstat[_n+1]
lab val nextstat empstat
bys id: gen nr=_n
gen cnord=cnordsud==0 
gen female=genere==2
recode casmin (110 120 130=1 "bassa") (220 231 232=2 "media") (310 320=3 "alta"), gen(educ) 
tab educ, gen(e)
* labour market entry coohorts 
bys id: egen e=min(ts) 
recode e (942/1080=1989 ">1989") (1081/1176=1997 "1990-97") (1176/1200=1999 "1998-99") (1201/max=2005 "2000-05"), gen(ecoho)
tab ecoho, gen(ecoho)

lab def isco ///
1 "Managers" ///
2 "Professionals" ///
3 "Technicians and associate professionals" ///
4 "Clerical support workers" ///
5 "Service and sales workers" ///
6 "Skilled agricultural, forestry and fishery workers" ///
7 "Craft and related trades workers" ///
8 "Plant and machine operators, and assemblers" ///
9 "Elementary occupations" ///
0 "Armed forces occupations" 

recode isco88 -98=-99 1000/1999=1 2000/2999=2 3000/3999=3 4000/4999=4 5000/5999=5 6000/6999=6 7000/7999=7 8000/8999=8 9000/9999=9
lab val isco88 isco 
tab isco88
gen iscolow=isco88==9
gen iscomis=isco88==-99
gen iscoserv=isco88==4

* "atipico"
* la definizione del "lavoro atipico" cosi e' troppo grezza e viene usato solo per lo scopo didattico 
recode job ( 1 2 3 11=0) (4 5 6 7 8 =1) (9 10=99) (12 14 15 9999=.), gen(atyp) 
tab job empstat, mis
* contratti a termine
gen ftc=empstat==13 

recode nextstat (11 12 13=1) (21=2) (31 32 33=3), gen(nextstat2)
recode empstat (11 12 13=1) (21 22=2) (31 32 33=3), gen(empstat2)
tab nextstat, mis 

* --> selezione casi 
* solo che non ha esperienze in nero o staggionale --> si perde 162 casi. NON CONSIGLIATO per una ricerca vera! 
bys id: egen h=max(atyp) 
tab h if nr==1
keep if h!=99
drop h
drop if atyp==.
tab atyp, mis
* solo episodi di lavoro 
keep if empstat2==1
* outflow
tab empstat2 nextstat2, mis row
tab atyp nextstat2, mis row

bys id: gen njob=_n

* 1) e' maggioge l'instabilita'? --> qualsiasi tipo di interuzione, sulla base di tutte le episodi NESSUN ID 
stset tf , failure(nextstat2== 1 2 3)  origin(time ts) 
sts graph , survival by(atyp) ci name(aty, replace) 
sts graph , survival by(ftc) ci name(ftc, replace)
sts graph , haz by(ftc) ci 

gen fakeID=_n 
stset tf , failure(nextstat2== 1 2 3) id(fakeID) origin(time ts) 
* il risultato in termini di sorvivor function e' assolutamente identico
stpiece atyp cnord female e2 e3 njob iscolow iscoserv iscomis, tp(0(3)24) nolog 
streg atyp cnord female e2 e3 njob iscolow iscoserv iscomis, dist(wei)

* modello presentato nel testo: 
stpiece atyp cnord female e2 e3 njob iscolow iscoserv iscomis, tp(0(3)24) nolog 

stpiece atyp cnord female e2 e3 njob iscolow iscoserv iscomis, tp(0(3)24) nolog time 

stpiece atyp cnord female e2 e3 njob iscolow iscoserv iscomis, tp(0(3)24) nolog time tr

*** COMPETING RISK *** 

* VERSIONE A: si mantiene l'idea dell indipendenza fra episodi
* transizione ad un altro episodio lavorativo
stset tf , failure(nextstat2==1)  origin(time ts)
streg atyp , dist(wei) nolog
* transizione alla disoccupazione 
stset tf , failure(nextstat2==2)  origin(time ts)
streg atyp , dist(wei) nolog
* transizione all'inattivita' 
stset tf , failure(nextstat2==3)  origin(time ts)
streg atyp , dist(wei) nolog

* VERSIONE B: si passa alla struttura multi-episod 
* transizione ad un altro episodio lavorativo
stset tf , failure(nextstat2==1) id(id) origin(time ts) exit (nextstat== 2 3 .) 
streg atyp , dist(wei) nolog
streg atyp cnord female e2 e3 njob iscolow iscoserv iscomis, dist(wei)nolog
* transizione alla disoccupazione 
stset tf , failure(nextstat2== 2) id(id) origin(time ts) exit (nextstat== 1 3 .) 
streg atyp , dist(wei) nolog
streg atyp cnord female e2 e3 njob iscolow iscoserv iscomis, dist(wei) nolog
* transizione all'inattivita' 
stset tf , failure(nextstat2== 3) id(id) origin(time ts) exit (nextstat== 2 1 .) 
streg atyp , dist(wei) nolog
streg atyp cnord female e2 e3 njob iscolow iscoserv iscomis, dist(wei) nolog
