**********************************************************
* Introduzione all'analisi dei dati longitudinali
* CAP 4:	ANALISI DEI DATI PANEL  
**********************************************************
* questa sintassi: 
* panel_esempio.do
** Esempio sui modelli panel, BE-RE-FE
* VERSIONE: AGOSTO 2013
**********************************************************

*version 12.1 
capture log close
set logtype text 
set dp comma 
global pa "F:\longi" 
use $pa\data\esempi_reddito.dta, clear
log using $pa\panel\esempi_reddito.log, replace



* Dichiarazione della struttura longitudinale e ordinamento cronologico osservazione
xtset ind tempo
sort ind tempo


**modello BE**
xtreg logsa donna eta tenure superiore laurea partime, be
*forte penalizzazione per il regime d'orario part-time (24%)
*effetto distorto in presenza di correlazione tra termine d'errore e x

**modello RE**
xtreg logsa donna eta tenure superiore laurea partime, re theta
*differenze sostantive nella magnitudo dell'effetto d'interesse: il regressore relativo al regime d'orario part-time passa (9%)
*stima nell'intervallo tra FE e RE; theta .54: peso conferito alla varianza WG di poco superiore alla varianza BG
*rimane per significativo. effetto distorto in presenza di correlazione tra termine d'errore e x, assunzione segnalata nell'output

**modello FE**
xtreg logsa donna eta tenure superiore laurea partime, fe
**neussuna stima per parametri time constant, controllati comunque dal procedimento che utilizza unicamente la varianza WG
**il parametro d'interesse, pur rimanedo negativo, perde di sgignificativit; una volta controllato per le unobservables, nell'esempio 
**il regime d'orrario comporta una penalizzazione retributiva nons tatisticamente diversa da 0; visti i risultati precedenti. 
**Posssibili fattori d'eterogeneit positivamente correlati al reddito correlano negativamente con la contrattualizzazione part-time. 


*Hausman Test (1) stima RE e salvataggio risultati, 2) stima FE e salvataggio risultati 3) test chi^2)
xtreg logsa donna eta tenure superiore laurea partime, re 
estimates store randeff
xtreg logsa donna eta tenure superiore laurea partime, fe
estimates store fixdeff
hausman fixdeff randeff, sigmamore

**il test conferma la significativit delle differenze ottenute mediante i metodi RE e FE. 
**La modellizzazione FE  pertanto necessaria al fine di ottenere stime non distorte
